//
//  TDAppDelegate.h
//  ToDo
//
//  Created by narita on 2013/10/13.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TDAppDelegate : NSObject <NSApplicationDelegate>

@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;

- (IBAction) saveAction:(id)sender;

- (IBAction) newWindow:(id)sender;

@property (strong, nonatomic) NSMutableArray* windows;

- (void)addWindowController: (NSWindowController *)windowController;
- (void)removeWindowController: (NSWindowController *)windowController;


@end
